当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 14 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-09 20:01 

注册: 2009-09-03 11:11
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
disconnecting client(fd: 18)
Invoking server: /usr/libexec/ppswrapper-run-server -p -1 -f 18
Creating new server: pid 5920 fd 18 port -1
ppsvod_create(ppstream, demo, gstreamer)
[ppsvod_create]-----------start(ppstream,demo,gstreamer)
[ppsvod_create]-----------end
add_item(pps://3ogxoc6qeb2hefom2aqa.pps/%BC%AB%B ... BA%AE.rmvb, 0)
[ppsvod_add_item]---------start(pps://3ogxoc6qeb2hefom2aqa.pps/%BC%AB%B ... E.rmvb,0x0)
** Message: Error: 无法打开资源读取。
gstppssrc.c(584): gst_pps_src_open (): /GstPlayBin:play/GstPpsSrc:source:
Couldn't open resource

pps_vode_destroy
[ppsvod_destroy]-----------start
CUDPBaseEx::Send failed!!!!!!!!!!!: Bad file descriptor
CUDPBaseEx::Send failed!!!!!!!!!!!: Bad file descriptor
CUDPBaseEx::Send failed!!!!!!!!!!!: Bad file descriptor
CUDPBaseEx::Send failed!!!!!!!!!!!: Bad file descriptor
CUDPBaseEx::Send failed!!!!!!!!!!!: Bad file descriptor
CUDPBaseEx::Send failed!!!!!!!!!!!: Bad file descriptor
[ppsvod_destroy]-----------end
close connection
disconnecting client(fd: 1


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-09 20:29 

注册: 2007-01-28 0:51
帖子: 441
送出感谢: 0 次
接收感谢: 0 次
如果是加ppa源安装的出现这个问题很正常
那个libpps库有问题
等修复吧


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-10 17:11 

注册: 2009-03-16 15:43
帖子: 52
送出感谢: 0 次
接收感谢: 0 次
我的也有同样的问题,顶起来,不是用的ppa源的,用的原来的0.0.17稳定版libpps是libpps_2.6.86-8896_i386.deb


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-10 17:17 

注册: 2005-10-26 18:04
帖子: 117
送出感谢: 0 次
接收感谢: 0 次
从 ppa 更新吧,用新的 gst-plugins-pps 就没问题了。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-10 18:34 
头像

注册: 2008-02-03 18:53
帖子: 665
送出感谢: 0 次
接收感谢: 1

原来的ppa源有问题, 更新后的ppa源, ubuntu 9.04通过, pps 可用:





加ppa源
代码:
deb http://ppa.launchpad.net/portis25/ppa/ubuntu karmic main



sudo apt-get update
sudo apt-get install gst-plugins-pps libppswrapper totem-pps libpps -f

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
libpps 已经是最新的版本了。
下列【新】软件包将被安装:
totem-pps
下列的软件包将被升级:
gst-plugins-pps libppswrapper
共升级了 2 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 12 个软件未被升级。
需要下载 120kB 的软件包。
解压缩后将会空出 573kB 的空间。
【警告】:下列的软件包不能通过验证!
libppswrapper gst-plugins-pps totem-pps
不经验证就安装这些软件包么?[y/N] y
获取:1 http://ppa.launchpad.net karmic/main libppswrapper 0.0.17.3-1.9 [44.1kB]
获取:2 http://ppa.launchpad.net karmic/main gst-plugins-pps 0.0.17.9-1 [17.9kB]
获取:3 http://ppa.launchpad.net karmic/main totem-pps 0.0.17.3-1.4 [58.1kB]
下载 120kB,耗时 2s (43.4kB/s)
(正在读取数据库 ... 系统当前总共安装有 287963 个文件和目录。)
正预备替换 libppswrapper 0.0.17.3-1 (使用 .../libppswrapper_0.0.17.3-1.9_i386.deb) ...
正在解压缩将用于更替的包文件 libppswrapper ...
dpkg:处理 /var/cache/apt/archives/libppswrapper_0.0.17.3-1.9_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/libppswrapper.so.0.0.0”,它属于软件包 gst-plugins-pps
正预备替换 gst-plugins-pps 0.0.16.1-1 (使用 .../gst-plugins-pps_0.0.17.9-1_i386.deb) ...
正在解压缩将用于更替的包文件 gst-plugins-pps ...
选中了曾被取消选择的软件包 totem-pps。
正在解压缩 totem-pps (从 .../totem-pps_0.0.17.3-1.4_i386.deb) ...
在处理时有错误发生:
/var/cache/apt/archives/libppswrapper_0.0.17.3-1.9_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



sudo apt-get remove gst-plugins-pps
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包将被【卸载】:
gst-plugins-pps totem-pps
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 2 个软件包,有 13 个软件未被升级。
有 2 个软件包没有被完全安装或卸载。
解压缩后将会空出 385kB 的空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 287930 个文件和目录。)
正在删除 totem-pps ...
正在删除 gst-plugins-pps ...



sudo apt-get install gst-plugins-pps libppswrapper totem-pps libpps -f
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
libpps 已经是最新的版本了。
下列【新】软件包将被安装:
gst-plugins-pps totem-pps
下列的软件包将被升级:
libppswrapper
共升级了 1 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 12 个软件未被升级。
需要下载 0B/120kB 的软件包。
解压缩后会消耗掉 377kB 的额外空间。
【警告】:下列的软件包不能通过验证!
libppswrapper gst-plugins-pps totem-pps
不经验证就安装这些软件包么?[y/N] y
(正在读取数据库 ... 系统当前总共安装有 287907 个文件和目录。)
正预备替换 libppswrapper 0.0.17.3-1 (使用 .../libppswrapper_0.0.17.3-1.9_i386.deb) ...
正在解压缩将用于更替的包文件 libppswrapper ...
选中了曾被取消选择的软件包 gst-plugins-pps。
正在解压缩 gst-plugins-pps (从 .../gst-plugins-pps_0.0.17.9-1_i386.deb) ...
选中了曾被取消选择的软件包 totem-pps。
正在解压缩 totem-pps (从 .../totem-pps_0.0.17.3-1.4_i386.deb) ...
正在设置 libppswrapper (0.0.17.3-1.9) ...

正在设置 gst-plugins-pps (0.0.17.9-1) ...
正在设置 totem-pps (0.0.17.3-1.4) ...
正在处理用于 libc6 的触发器...
ldconfig deferred processing now taking place


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-10 20:31 

注册: 2009-03-16 15:43
帖子: 52
送出感谢: 0 次
接收感谢: 0 次
按照楼上的做法,还是老样子。
administrator@ubuntu:~$ sudo apt-get install gst-plugins-pps libppswrapper totem-pps libpps -f
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列【新】软件包将被安装:
gst-plugins-pps libpps libppswrapper totem-pps
共升级了 0 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 5 个软件未被升级。
需要下载 0B/969kB 的软件包。
解压缩后会消耗掉 2642kB 的额外空间。
【警告】:下列的软件包不能通过验证!
libpps libppswrapper gst-plugins-pps totem-pps
不经验证就安装这些软件包么?[y/N] y
(正在读取数据库 ... 系统当前总共安装有 183692 个文件和目录。)
正在解压缩 libpps (从 .../libpps_0.1.826-1_i386.deb) ...
选中了曾被取消选择的软件包 libppswrapper。
正在解压缩 libppswrapper (从 .../libppswrapper_0.0.17.3-1.9_i386.deb) ...
选中了曾被取消选择的软件包 gst-plugins-pps。
正在解压缩 gst-plugins-pps (从 .../gst-plugins-pps_0.0.17.9-1_i386.deb) ...
选中了曾被取消选择的软件包 totem-pps。
正在解压缩 totem-pps (从 .../totem-pps_0.0.17.3-1.4_i386.deb) ...
正在设置 libpps (0.1.826-1) ...

正在设置 libppswrapper (0.0.17.3-1.9) ...

正在设置 gst-plugins-pps (0.0.17.9-1) ...
正在设置 totem-pps (0.0.17.3-1.4) ...
正在处理用于 libc6 的触发器...
ldconfig deferred processing now taking place
administrator@ubuntu:~$


附件:
%7B09B0F434-CA9D-4A39-9280-7CF2C815EF05%7D.jpg
%7B09B0F434-CA9D-4A39-9280-7CF2C815EF05%7D.jpg [ 168.74 KiB | 被浏览 1045 次 ]

页首
 用户资料  
 
7 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-10 20:36 

注册: 2009-02-01 18:28
帖子: 96
地址: 台灣
送出感谢: 0 次
接收感谢: 0 次
wangaofang 写道:
按照楼上的做法,还是老样子。


其实有时候再按一下就可以了
估计是网速问题 建立缓冲区时等待过久

另外PPA里好像没有libpps?

置顶文 我已经更新gst-plugins-pps到0.0.17.9
libpps 0.1.826应该没问题了

请问一下sunmoon大
怎么会没有“今日焦点”呢?

感谢! :em01


_________________
Aitjcize, AZ
My Blog: http://berelent.blogspot.com


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-10 22:15 
头像

注册: 2008-02-03 18:53
帖子: 665
送出感谢: 0 次
接收感谢: 1
如果没有:

sudo apt-get update

那就不是照做。

wangaofang 写道:
按照楼上的做法,还是老样子。
administrator@ubuntu:~$ sudo apt-get install gst-plugins-pps libppswrapper totem-pps libpps -f
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列【新】软件包将被安装:
gst-plugins-pps libpps libppswrapper totem-pps
共升级了 0 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 5 个软件未被升级。
需要下载 0B/969kB 的软件包。
解压缩后会消耗掉 2642kB 的额外空间。
【警告】:下列的软件包不能通过验证!
libpps libppswrapper gst-plugins-pps totem-pps
不经验证就安装这些软件包么?[y/N] y
(正在读取数据库 ... 系统当前总共安装有 183692 个文件和目录。)
正在解压缩 libpps (从 .../libpps_0.1.826-1_i386.deb) ...
选中了曾被取消选择的软件包 libppswrapper。
正在解压缩 libppswrapper (从 .../libppswrapper_0.0.17.3-1.9_i386.deb) ...
选中了曾被取消选择的软件包 gst-plugins-pps。
正在解压缩 gst-plugins-pps (从 .../gst-plugins-pps_0.0.17.9-1_i386.deb) ...
选中了曾被取消选择的软件包 totem-pps。
正在解压缩 totem-pps (从 .../totem-pps_0.0.17.3-1.4_i386.deb) ...
正在设置 libpps (0.1.826-1) ...

正在设置 libppswrapper (0.0.17.3-1.9) ...

正在设置 gst-plugins-pps (0.0.17.9-1) ...
正在设置 totem-pps (0.0.17.3-1.4) ...
正在处理用于 libc6 的触发器...
ldconfig deferred processing now taking place
administrator@ubuntu:~$


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-11 14:40 

注册: 2009-09-09 11:21
帖子: 23
送出感谢: 0 次
接收感谢: 0 次
我的也是,用不了阿!!!!


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-11 17:17 

注册: 2009-03-16 15:43
帖子: 52
送出感谢: 0 次
接收感谢: 0 次
隔壁有人说是否是电信的有关系。


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-11 17:21 

注册: 2009-03-16 15:43
帖子: 52
送出感谢: 0 次
接收感谢: 0 次
spectater 写道:
如果没有:

sudo apt-get update

那就不是照做。


的确是照做了的,只是我把前面的步骤执行结果没有贴出来。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-12 10:55 
头像

注册: 2008-02-03 18:53
帖子: 665
送出感谢: 0 次
接收感谢: 1
wangaofang 写道:
spectater 写道:
如果没有:

sudo apt-get update

那就不是照做。


的确是照做了的,只是我把前面的步骤执行结果没有贴出来。


libpps有好几个不同版本, 可以都试一试,没有deb ,可直接把*pps*.so 拷贝到 /usr/lib/下

再不行,可以用老版本解决,比如16版

对了,ppa源又更新了。


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-09-17 20:29 

注册: 2009-03-16 15:43
帖子: 52
送出感谢: 0 次
接收感谢: 0 次
看样子是我这边把p2p封住了的原因。


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 置顶的 pps 播放方法 好像有问题 这是 在 root 权限 下的出错提示
帖子发表于 : 2009-11-12 18:27 
头像

注册: 2006-12-07 6:38
帖子: 169
送出感谢: 0 次
接收感谢: 0 次
有用,谢谢楼上XX的


_________________
我爱UBUNTU
http://www.52ubuntucom/


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 14 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译